/*
 *  Copyright (c) by Shuu Yamaguchi <shuu@dotAster.com>
 *
 *  $Id: coldplug.c,v 1.1.1.1 2006/09/21 04:20:10 sae_core Exp $
 *
 *  Can be freely distributed and used under the terms of the GNU GPL.
 */
#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>

#include	"murasaki.h"

char *
coldplug_init(char *init,char *agent,int *msg_level)
{
	static char command[64] = "murasaki_";
	char *sysfs_dir;

	strcat(command,init);
	openlog(command,LOG_PID,LOG_DAEMON);
	*msg_level = get_msg_level();

	if (check_config(init,*msg_level) == ARG_OFF) {
		return NULL;
	} else if (check_config(agent,*msg_level) == ARG_OFF) {
		LOG(MU_MSG_QUIET,*msg_level,"Please change a configuration of %s to \"on\"" ,agent);
		*msg_level = -1;

		return NULL;
	}
		
	sysfs_dir = check_sysfs(NULL);

	return sysfs_dir;
}
