/*
 *  Copyright (c) by Shuu Yamaguchi <shuu@dotaster.com>
 *
 *  $Id: lock.c,v 1.1.1.1 2006/09/21 04:20:10 sae_core Exp $
 *
 *  Can be freely distributed and used under the terms of the GNU GPL.
 */
#include	<stdio.h>
#include	<sys/types.h>
#include	<sys/stat.h>
#include	<fcntl.h>
#include	<errno.h>
#include	<unistd.h>

/*
 * semaphore is needed?
 */
int
lock_resource(char *fname)
{
	int fd;

	fd = open(fname,O_CREAT|O_EXCL);
	if (fd == -1) {
		if (errno == EEXIST)
			return 1;
		else
			return -1;
	}
	return 0;
}

int
unlock_resource(char *fname)
{
	return unlink(fname);
}
